Page MenuHomePhabricator

VisualDiff feature on mobile has an inconsistent style/layout
Open, Needs TriagePublic

Description

Following T242351, VisualDiff feature on mobile was enabled. VisualDiff was designed for the old desktop side by side diff. The design looks bad on mobile because MobileDiff only shows inline (unified) diffs which was recently introduced to core, and this extension is not optimized for such diff design.


Screenshot of https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:MobileDiff/411223...412204?diffmode=visual

NOTE: this is not about these twotoggle buttons. Their design looks fine, as confirmed by me and @alexhollender.

Related Objects

StatusSubtypeAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
StalledNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedppelberg
ResolvedKrinkle
OpenNone
OpenNone
OpenNone
ResolvedHalfak
OpenNone
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedPetrb
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedovasileva
Resolvedmarcella
OpenNone

Event Timeline

Masumrezarock100 removed marcella as the assignee of this task.Feb 9 2020, 8:56 PM
Masumrezarock100 created this task.
Masumrezarock100 added a subscriber: marcella.
JTannerWMF moved this task from Backlog to External on the Editing-team (Tracking) board.

It looks like Readers Web is taking this on so the Editing team is moving it from our current work board.

Masumrezarock100 added a subscriber: ovasileva.

@ovasileva the parent task is tagged with "Readers-Web-Backlog (Tracking)". So I used the same tag. Could you clarify whether Readers is taking this on and prioritize accordingly?

Jdlrobson added a comment.EditedFeb 10 2020, 11:48 PM

@JTannerWMF I don't think reading web have any plans to work on this. It's tagged with #readers-web-backlog-tracking. The associated extension is not one we maintain and this is a beta feature (I don't know which team owns it).

Masumrezarock100 added a comment.EditedFeb 11 2020, 12:06 AM

@JTannerWMF I don't think reading web have any plans to work on this. It's tagged with #readers-web-backlog-tracking. The associated extension is not one we maintain and this is a beta feature (I don't know which team owns it).

VisualDiff is a part of the VisualEditor extension. It looks like it is maintained by the Editing team, at least https://www.mediawiki.org/wiki/Extension:VisualEditor#References says so.

I think the scope of this is unclear…

If this task is about consolidating the design of the two diffs, then it seems to me that neither Editing nor Reading are interested in working on that at the moment.

If this task is only about fixing actually wrong rendering (e.g. list items in the mobile visual diffs don't have the bullets and are not indented), then I'd like to work on that, and hopefully will convince someone from Editing to review the fixes.

Change 571571 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Add .mw-parser-output to historical visual diffs

https://gerrit.wikimedia.org/r/571571

Change 571572 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] mobilediff: Fix added/deleted content colors to not apply inside visual diffs

https://gerrit.wikimedia.org/r/571572

Change 571573 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] SpecialMobileDiff: Re-enable div.content wrapper

https://gerrit.wikimedia.org/r/571573

I believe these patches result in an acceptable state.

Example diff:

Before (mobile)After (mobile)Desktop (for reference)Desktop, wikitext (for reference)

Change 571571 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Add .mw-parser-output to historical visual diffs

https://gerrit.wikimedia.org/r/571571

matmarex moved this task from To Triage to Triaged on the VisualEditor board.Feb 12 2020, 5:21 PM

The patch in https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MobileFrontend/+/571573/ causes alignment issues:


I've replied on the ticket.

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Feb 21 2020, 6:49 PM

Change 571572 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] mobilediff: Fix added/deleted content colors to not apply inside visual diffs

https://gerrit.wikimedia.org/r/571572

Change 571573 abandoned by Bartosz Dziewoński:
SpecialMobileDiff: Re-enable div.content wrapper

https://gerrit.wikimedia.org/r/571573

matmarex removed matmarex as the assignee of this task.May 5 2020, 9:48 PM

I am not planning to work on this any more, sorry.

The current state is that I fixed all of the conflicts between the two sets of diff styles, but the visual diff's "contents" are missing the usual content styles (e.g. no bullet points in lists), because for some reason MobileFrontend doesn't allow it to apply there.